export const getPages = (): Promise<any> => {
  return new Promise((resolve) => {
    resolve({
      code: 200,
      data: [
        {
          btnList: [],

          createBy: null,
          createTime: null,
          deleteFlag: null,
          icon: "LineMdAccount",
          isFull: {
            extData: {
              boolVal: false,
            },
            label: "否",
            value: 1,
          },
          isKeepAlive: {
            extData: {
              boolVal: true,
            },
            label: "是",
            value: 0,
          },
          link: "",
          name: "总览大屏",
          orderIndex: null,
          parentId: "0",
          path: "/overviewLargeScreen",
          redirect: "",
          remark: "",
          snowFlakeId: "overviewLargeScreen",
          status: null,
          type: {
            extData: null,
            label: "目录",
            value: "menu",
          },
          updateBy: null,
          updateTime: null,
        },
        {
          btnList: [],

          createBy: null,
          createTime: null,
          deleteFlag: null,
          icon: "LineMdAccount",
          isFull: {
            extData: {
              boolVal: false,
            },
            label: "否",
            value: 1,
          },
          isKeepAlive: {
            extData: {
              boolVal: true,
            },
            label: "是",
            value: 0,
          },
          link: "",
          name: "共享食谱",
          orderIndex: null,
          parentId: "0",
          path: "/shareRecipes",
          redirect: "",
          remark: "",
          snowFlakeId: "shareRecipes",
          status: null,
          type: {
            extData: null,
            label: "目录",
            value: "menu",
          },
          updateBy: null,
          updateTime: null,
        },
        {
          btnList: [],
          children: [
            {
              btnList: [],
              children: [],
              createBy: null,
              createTime: null,
              deleteFlag: null,
              icon: "CodiconOrganization",
              isFull: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              isKeepAlive: {
                extData: {
                  boolVal: true,
                },
                label: "是",
                value: 0,
              },
              link: "",
              name: "采购名录",
              orderIndex: null,
              parentId: "1907342465921191936",
              path: "/personnelManagement/departmentStructure",
              redirect: "",
              remark: "",
              snowFlakeId: "1907343323534725120",
              status: null,
              type: {
                extData: null,
                label: "菜单",
                value: "menu",
              },
              updateBy: null,
              updateTime: null,
            },
            {
              btnList: [],
              children: [],
              createBy: null,
              createTime: null,
              deleteFlag: null,
              icon: "LineMdAccount",
              isFull: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              isKeepAlive: {
                extData: {
                  boolVal: true,
                },
                label: "是",
                value: 0,
              },
              link: "",
              name: "库存盘点",
              orderIndex: null,
              parentId: "1907342465921191936",
              path: "/personnelManagement/enterpriseStaff",
              redirect: "",
              remark: "",
              snowFlakeId: "1907342952527564800",
              status: null,
              type: {
                extData: null,
                label: "菜单",
                value: "menu",
              },
              updateBy: null,
              updateTime: null,
            },
            {
              btnList: [],
              children: [],
              createBy: null,
              createTime: null,
              deleteFlag: null,
              icon: "LineMdAccount",
              isFull: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              isKeepAlive: {
                extData: {
                  boolVal: true,
                },
                label: "是",
                value: 0,
              },
              link: "",
              name: "采购计划",
              orderIndex: null,
              parentId: "1907342465921191936",
              path: "/personnelManagement/securityStaff",
              redirect: "",
              remark: "",
              snowFlakeId: "1907344307979816960",
              status: null,
              type: {
                extData: null,
                label: "菜单",
                value: "menu",
              },
              updateBy: null,
              updateTime: null,
            },
            {
              btnList: [],
              children: [],
              createBy: null,
              createTime: null,
              deleteFlag: null,
              icon: "LineMdAccount",
              isFull: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              isKeepAlive: {
                extData: {
                  boolVal: true,
                },
                label: "是",
                value: 0,
              },
              link: "",
              name: "历史采购",
              orderIndex: null,
              parentId: "1907342465921191936",
              path: "/personnelManagement/historicalPurchase",
              redirect: "",
              remark: "",
              snowFlakeId: "1907344307979816962",
              status: null,
              type: {
                extData: null,
                label: "菜单",
                value: "menu",
              },
              updateBy: null,
              updateTime: null,
            }
          ],
          createBy: null,
          createTime: null,
          deleteFlag: null,
          icon: "LineMdAccount",
          isFull: {
            extData: {
              boolVal: false,
            },
            label: "否",
            value: 1,
          },
          isKeepAlive: {
            extData: {
              boolVal: true,
            },
            label: "是",
            value: 0,
          },
          link: "",
          name: "采购管理",
          orderIndex: null,
          parentId: "0",
          path: "/personnelManagement",
          redirect: "",
          remark: "",
          snowFlakeId: "1907342465921191936",
          status: null,
          type: {
            extData: null,
            label: "目录",
            value: "dir",
          },
          updateBy: null,
          updateTime: null,
        },
        {
          btnList: [],
          children: [
            {
              btnList: [
                {
                  extData: {
                    remark: "测试按钮2",
                  },
                  label: "测试按钮2",
                  value: "test2",
                },
              ],
              children: [],
              createBy: null,
              createTime: null,
              deleteFlag: null,
              icon: "EosIconsRoleBinding",
              isFull: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              isKeepAlive: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              link: "",
              name: "角色",
              orderIndex: null,
              parentId: "1904795567075102720",
              path: "/system/role",
              redirect: "",
              remark: "",
              snowFlakeId: "1904812573660811264",
              status: null,
              type: {
                extData: null,
                label: "菜单",
                value: "menu",
              },
              updateBy: null,
              updateTime: null,
            },
            {
              btnList: [],
              children: [],
              createBy: null,
              createTime: null,
              deleteFlag: null,
              icon: "EosIconsRoleBinding",
              isFull: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              isKeepAlive: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              link: "",
              name: "用户管理",
              orderIndex: null,
              parentId: "1904795567075102720",
              path: "/system/user",
              redirect: "",
              remark: "",
              snowFlakeId: "1904812573660811546",
              status: null,
              type: {
                extData: null,
                label: "菜单",
                value: "menu",
              },
              updateBy: null,
              updateTime: null,
            },
            {
              btnList: [],
              children: [],
              createBy: null,
              createTime: null,
              deleteFlag: null,
              icon: "EosIconsRoleBinding",
              isFull: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              isKeepAlive: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              link: "",
              name: "操作日志",
              orderIndex: null,
              parentId: "1904795567075102720",
              path: "/system/dept",
              redirect: "",
              remark: "",
              snowFlakeId: "1904812573660812154",
              status: null,
              type: {
                extData: null,
                label: "菜单",
                value: "menu",
              },
              updateBy: null,
              updateTime: null,
            }
          ],
          createBy: null,
          createTime: null,
          deleteFlag: null,
          icon: "LineMdCogFilledLoop",
          isFull: {
            extData: {
              boolVal: false,
            },
            label: "否",
            value: 1,
          },
          isKeepAlive: {
            extData: {
              boolVal: false,
            },
            label: "否",
            value: 1,
          },
          link: "",
          name: "系统管理",
          orderIndex: null,
          parentId: "0",
          path: "/system",
          redirect: "/system",
          remark: "",
          snowFlakeId: "1904795567075102720",
          status: null,
          type: {
            extData: null,
            label: "目录",
            value: "dir",
          },
          updateBy: null,
          updateTime: null,
        },
        {
          btnList: [],
          children: [
            {
              btnList: [],
              children: [],
              createBy: null,
              createTime: null,
              deleteFlag: null,
              icon: "LineMdList",
              isFull: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              isKeepAlive: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              link: "",
              name: "每日食谱",
              orderIndex: null,
              parentId: "1910252674549288960",
              path: "/smartRecipes/dailyRecipes",
              redirect: "",
              remark: "",
              snowFlakeId: "1910253280865292288",
              status: null,
              type: {
                extData: null,
                label: "菜单",
                value: "menu",
              },
              updateBy: null,
              updateTime: null,
            },
            {
              btnList: [],
              children: [],
              createBy: null,
              createTime: null,
              deleteFlag: null,
              icon: "LineMdList",
              isFull: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              isKeepAlive: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              link: "",
              name: "食材管理",
              orderIndex: null,
              parentId: "1910252674549288960",
              path: "/smartRecipes/foodManagement",
              redirect: "",
              remark: "",
              snowFlakeId: "1910253160014811136",
              status: null,
              type: {
                extData: null,
                label: "菜单",
                value: "menu",
              },
              updateBy: null,
              updateTime: null,
            },
            {
              btnList: [],
              children: [],
              createBy: null,
              createTime: null,
              deleteFlag: null,
              icon: "LineMdList",
              isFull: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              isKeepAlive: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              link: "",
              name: "菜品管理",
              orderIndex: null,
              parentId: "1910252674549288960",
              path: "/smartRecipes/dishesManagement",
              redirect: "",
              remark: "",
              snowFlakeId: "1910253160014811137",
              status: null,
              type: {
                extData: null,
                label: "菜单",
                value: "menu",
              },
              updateBy: null,
              updateTime: null,
            },
            {
              btnList: [],
              children: [],
              createBy: null,
              createTime: null,
              deleteFlag: null,
              icon: "LineMdList",
              isFull: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              isKeepAlive: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              link: "",
              name: "菜单管理",
              orderIndex: null,
              parentId: "1910252674549288960",
              path: "/smartRecipes/menuManagement",
              redirect: "",
              remark: "",
              snowFlakeId: "1910253160014811245",
              status: null,
              type: {
                extData: null,
                label: "菜单",
                value: "menu",
              },
              updateBy: null,
              updateTime: null,
            },
            {
              btnList: [],
              children: [],
              createBy: null,
              createTime: null,
              deleteFlag: null,
              icon: "LineMdList",
              isFull: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              isKeepAlive: {
                extData: {
                  boolVal: false,
                },
                label: "否",
                value: 1,
              },
              link: "",
              name: "食品留样",
              orderIndex: null,
              parentId: "1910252674549288960",
              path: "/smartRecipes/foodSampleRetention",
              redirect: "",
              remark: "",
              snowFlakeId: "1910253160014811854",
              status: null,
              type: {
                extData: null,
                label: "菜单",
                value: "menu",
              },
              updateBy: null,
              updateTime: null,
            }
          ],
          createBy: null,
          createTime: null,
          deleteFlag: null,
          icon: "CarbonSubtractAlt",
          isFull: {
            extData: {
              boolVal: false,
            },
            label: "否",
            value: 1,
          },
          isKeepAlive: {
            extData: {
              boolVal: true,
            },
            label: "是",
            value: 0,
          },
          link: "",
          name: "智慧菜谱",
          orderIndex: null,
          parentId: "0",
          path: "/smartRecipes",
          redirect: "",
          remark: "",
          snowFlakeId: "1910252674549288960",
          status: null,
          type: {
            extData: null,
            label: "目录",
            value: "dir",
          },
          updateBy: null,
          updateTime: null,
        },
        {
          btnList: [],
          createBy: null,
          createTime: null,
          deleteFlag: null,
          icon: "LineMdAccount",
          isFull: {
            extData: {
              boolVal: false,
            },
            label: "否",
            value: 1,
          },
          isKeepAlive: {
            extData: {
              boolVal: true,
            },
            label: "是",
            value: 0,
          },
          link: "",
          name: "食安教育",
          orderIndex: null,
          parentId: "0",
          path: "/foodSafetyEducation",
          redirect: "",
          remark: "",
          snowFlakeId: "foodSafetyEducation",
          status: null,
          type: {
            extData: null,
            label: "目录",
            value: "menu",
          },
          updateBy: null,
          updateTime: null,
        },
        {
          btnList: [],
          createBy: null,
          createTime: null,
          deleteFlag: null,
          icon: "LineMdAccount",
          isFull: {
            extData: {
              boolVal: false,
            },
            label: "否",
            value: 1,
          },
          isKeepAlive: {
            extData: {
              boolVal: true,
            },
            label: "是",
            value: 0,
          },
          link: "",
          name: "硬件数据",
          orderIndex: null,
          parentId: "0",
          path: "/hardwareData",
          redirect: "",
          remark: "",
          snowFlakeId: "hardwareData",
          status: null,
          type: {
            extData: null,
            label: "目录",
            value: "menu",
          },
          updateBy: null,
          updateTime: null,
        },
        {
          btnList: [],
          createBy: null,
          createTime: null,
          deleteFlag: null,
          icon: "LineMdAccount",
          isFull: {
            extData: {
              boolVal: false,
            },
            label: "否",
            value: 1,
          },
          isKeepAlive: {
            extData: {
              boolVal: true,
            },
            label: "是",
            value: 0,
          },
          link: "",
          name: "工作台账",
          orderIndex: null,
          parentId: "0",
          path: "/workAccounts",
          redirect: "",
          remark: "",
          snowFlakeId: "workAccounts",
          status: null,
          type: {
            extData: null,
            label: "目录",
            value: "menu",
          },
          updateBy: null,
          updateTime: null,
        }
      ],
      message: "操作成功！",
    });
  });
};
